fai-do-scripts(1)

NAME
fai-do-scripts - call configuration scripts

SYNOPSIS
fai-do-scripts [OPTION] DIRECTORY

DESCRIPTION
This command is only called internally by FAI and not directly by the user. fai-do-scripts executes all scripts in DIRECTORY which are also a defined class. If the name of the class is a directory, all scripts that match `<CLASSNAME>/^[0-9][0-9].*' (starting with two digits) in this directory are executed. It is possible to have several scripts of different types (shell, python, ruby, cfengine,...) be executed for one class.

OPTIONS

-h  Show help, version and summary of options.

-L DIR
    Write log files to DIR.

-n  Show type of scripts that would be executed, but do not execute them.

EXAMPLES
In FAI, fai-do-scripts is used in the following way:
   # fai-do-scripts /fai/scripts

NOTES
The output of the scripts is also written to $LOGDIR/scripts.log. The file $LOGDIR/status.log lists all scripts executed and if they finished with success or failure. If the variable $FAI_USE_OLD_SCRIPT_LOGS is set to 1, the old style log file names (different name for every type of script) are used. This may be removed in the future.

SEE ALSO
This program is part of FAI (Fully Automatic Installation). The FAI homepage is http:///fai-project.org.

AUTHOR
Written by Thomas Lange <lange@cs.uni-koeln.de>